%define	oname	gstreamer
%define	vname	%{oname}10

%define major	0
%define api	0.10
%define libname		%mklibname %{name}_ %{major}
%define libgstbase	%mklibname gstbase%{api}_ %{major}
%define libgstcheck	%mklibname gstcheck%{api}_ %{major}
%define libgstcontroller	%mklibname gstcontroller%{api}_ %{major}
%define libgstdataprocol	%mklibname gstdataprocol%{api}_ %{major}
%define libgstnet	%mklibname gstnet%{api}_ %{major}
%define girname		%mklibname gst-gir %{api}
%define develname	%mklibname -d %{name}

%bcond_with	docs

Name:		gstreamer%{api}
Summary: 	GStreamer Streaming-media framework runtime
Version: 	0.10.36
Release: 	3
License: 	LGPLv2+
Group:		Sound
URL:		http://gstreamer.freedesktop.org/
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/gstreamer/%{api}/%{oname}-%{version}.tar.xz
Patch0:		gstreamer-inspect-rpm-format.patch

BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(popt)
%ifnarch %{arm} %{mips}
BuildRequires:	valgrind-devel
%endif
%ifarch %{ix86}
BuildRequires:	nasm => 0.90
%endif
%if %{with docs}
BuildRequires:	gtk-doc >= 0.7
BuildRequires:	transfig
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-dtd412-xml
BuildRequires:	ghostscript
BuildRequires:	python-pyxml
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package	tools
Summary:	GStreamer Streaming-media framework runtime
Group:		Sound
Provides:	%{vname}-tools = %{version}-%{release}
Conflicts:	%mklibname %{oname} 0.10 0.10 < 0.10.35-2
%rename		gstreamer

%description	tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n	%{libname}
Summary:	Library for GStreamer streaming-media framework
Group:		System/Libraries
Requires:	%{name}-tools >= %{EVRD}
Provides:	libgstreamer%{api} = %{version}-%{release}
Obsoletes:	%mklibname %{oname} 0.10 0.10

%description -n	%{libname}
This package contains the library for %{name}.

%package -n	%{libgstbase}
Summary:	Library for GStreamer streaming-media framework
Group:		System/Libraries
Conflicts:	%mklibname %{oname} 0.10 0.10 < 0.10.35-2

%description -n	%{libgstbase}
This package contains the library for %{name}base.

%package -n	%{libgstcheck}
Summary:	Library for GStreamer streaming-media framework
Group:		System/Libraries
Conflicts:	%mklibname %{oname} 0.10 0.10 < 0.10.35-2

%description -n	%{libgstcheck}
This package contains the library for %{name}check.

%package -n	%{libgstcontroller}
Summary:	Library for GStreamer streaming-media framework
Group:		System/Libraries
Conflicts:	%mklibname %{oname} 0.10 0.10 < 0.10.35-2

%description -n	%{libgstcontroller}
This package contains the library for %{name}controller.

%package -n	%{libgstdataprocol}
Summary:	Library for GStreamer streaming-media framework
Group:		System/Libraries
Conflicts:	%mklibname %{oname} 0.10 0.10 < 0.10.35-2

%description -n %{libgstdataprocol}
This package contains the library for %{name}dataprocol.

%package -n	%{libgstnet}
Summary:	Library for GStreamer streaming-media framework
Group:		System/Libraries
Conflicts:	%mklibname %{oname} 0.10 0.10 < 0.10.35-2

%description -n	%{libgstnet}
This package contains the library for %{name}net.

%package -n	%{girname}
Summary:	GObject Introspection interface libraries for %{name}
Group:		System/Libraries
Conflicts:	%mklibname %{oname} 0.10 0.10 < 0.10.35-2
Conflicts:	gir-repository < 0.6.5-3

%description -n %{girname}
GObject Introspection interface libraries for %{name}.

%package -n	%{develname}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgstbase} = %{version}-%{release}
Requires:	%{libgstcheck} = %{version}-%{release}
Requires:	%{libgstcontroller} = %{version}-%{release}
Requires:	%{libgstdataprocol} = %{version}-%{release}
Requires:	%{libgstnet} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	rpm-mandriva-setup-build >= 1.113
Provides:	libgstreamer-devel = %{version}-%{release}
Provides:	gstreamer%{api}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name}_ 0.10
Conflicts:	gir-repository < 0.6.5-3

%description -n %{develname}
This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-debug \
	--disable-dependency-tracking \
	--with-package-name='%{distribution} %{name} package' \
	--with-package-origin='%{disturl}' \
	--disable-tests \
	--disable-examples \
	--disable-rpath \
%if %{with docs}
	--enable-docbook \
	--enable-gtk-doc \
%else	
	--disable-docbook \
	--disable-gtk-doc \
%endif
%ifarch %{mips}
	--disable-valgrind \
%endif
	--with-html-dir=%{_datadir}/gtk-doc/html

%make

%check
cd tests/check
make check

%install  
%makeinstall_std
mkdir -p %{buildroot}%{_var}/cache/%{oname}-%{api}
#clean the files we don't want to install 
rm -f %{buildroot}%{_bindir}/gst-feedback
rm -f %{buildroot}%{_bindir}/gst-inspect
rm -f %{buildroot}%{_bindir}/gst-launch
rm -f %{buildroot}%{_bindir}/gst-md5sum
rm -f %{buildroot}%{_bindir}/gst-typefind
rm -f %{buildroot}%{_bindir}/gst-xmlinspect
rm -f %{buildroot}%{_bindir}/gst-xmllaunch

%find_lang %{oname}-%{api}

#gw really remove rpath for rpmlint
chrpath -d %{buildroot}{%{_bindir}/gst-{inspect,launch,typefind,xmlinspect,xmllaunch}-0.10,%{_libdir}/{*.so,%{oname}-%{api}/*.so}}

%files tools -f %{oname}-%{api}.lang
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{oname}-%{api}
%{_bindir}/gst-feedback-%{api}
%{_bindir}/gst-inspect-%{api}
%{_bindir}/gst-launch-%{api}
%{_bindir}/gst-typefind-%{api}
%{_bindir}/gst-xmlinspect-%{api}
%{_bindir}/gst-xmllaunch-%{api}
%dir %{_libdir}/%{oname}-%{api}
%{_libdir}/%{oname}-%{api}/gst-plugin-scanner
%{_libdir}/%{oname}-%{api}/libgstcoreelements.so
%{_libdir}/%{oname}-%{api}/libgstcoreindexers.so
%{_mandir}/man1/gst-feedback-%{api}.1*
%{_mandir}/man1/gst-inspect-%{api}.1*
%{_mandir}/man1/gst-launch-%{api}.1*
%{_mandir}/man1/gst-typefind-%{api}.1*
%{_mandir}/man1/gst-xmlinspect-%{api}.1*
%{_mandir}/man1/gst-xmllaunch-%{api}.1*

%files -n %{libname}
%{_libdir}/libgstreamer-%{api}.so.%{major}*

%files -n %{libgstbase}
%{_libdir}/libgstbase-%{api}.so.%{major}*

%files -n %{libgstcheck}
%{_libdir}/libgstcheck-%{api}.so.%{major}*

%files -n %{libgstcontroller}
%{_libdir}/libgstcontroller-%{api}.so.%{major}*

%files -n %{libgstdataprocol}
%{_libdir}/libgstdataprotocol-%{api}.so.%{major}*

%files -n %{libgstnet}
%{_libdir}/libgstnet-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gst-%{api}.typelib
%{_libdir}/girepository-1.0/GstBase-%{api}.typelib
%{_libdir}/girepository-1.0/GstCheck-%{api}.typelib
%{_libdir}/girepository-1.0/GstController-%{api}.typelib
%{_libdir}/girepository-1.0/GstNet-%{api}.typelib

%files -n %{develname}
%doc ChangeLog
%if %{with docs}
%doc %{_datadir}/doc/%{oname}-%{api}
%endif
%dir %{_includedir}/%{oname}-%{api}
%dir %{_includedir}/%{oname}-%{api}/gst
%{_includedir}/%{oname}-%{api}/gst/*.h
%dir %{_includedir}/%{oname}-%{api}/gst/base/
%{_includedir}/%{oname}-%{api}/gst/base/*.h
%{_includedir}/%{oname}-%{api}/gst/check/
%dir %{_includedir}/%{oname}-%{api}/gst/controller/
%{_includedir}/%{oname}-%{api}/gst/controller/*.h
%dir %{_includedir}/%{oname}-%{api}/gst/dataprotocol/
%{_includedir}/%{oname}-%{api}/gst/dataprotocol/*.h
%{_includedir}/%{oname}-%{api}/gst/net/
%{_libdir}/libgstbase-%{api}.so
%{_libdir}/libgstcheck-%{api}.so
%{_libdir}/libgstdataprotocol-%{api}.so
%{_libdir}/libgstreamer-%{api}.so
%{_libdir}/libgstnet-%{api}.so
%{_libdir}/libgstcontroller-%{api}.so
%{_libdir}/pkgconfig/gstreamer-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-base-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-check-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-net-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{api}.pc
%{_datadir}/aclocal/gst-element-check-%{api}.m4
%{_datadir}/gtk-doc/html/%{oname}-%{api}/
%{_datadir}/gtk-doc/html/%{oname}-libs-%{api}/
%{_datadir}/gtk-doc/html/%{oname}-plugins-%{api}
%{_datadir}/gir-1.0/Gst-%{api}.gir
%{_datadir}/gir-1.0/GstBase-%{api}.gir
%{_datadir}/gir-1.0/GstCheck-%{api}.gir
%{_datadir}/gir-1.0/GstController-%{api}.gir
%{_datadir}/gir-1.0/GstNet-%{api}.gir



%changelog
* Fri Jun 29 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.10.36-3
+ Revision: 807507
- use %%{distribution} & %%{disturl} variables
- fix valgrind buildrequires
- cosmetics
- make library package depend on tools package as it'll blow up without it
- drop installation of gstreamer.prov script, it's now provided by rpm

* Wed Apr 25 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.10.36-2
+ Revision: 793395
- rebuild for rpm+g-i typelib auto prov/reqs generation

* Tue Feb 21 2012 Götz Waschk <waschk@mandriva.org> 0.10.36-1
+ Revision: 778457
- update file list
- new version

* Mon Dec 05 2011 Zé <ze@mandriva.org> 0.10.35-3
+ Revision: 737861
- rebuild

* Mon Dec 05 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.10.35-2
+ Revision: 737724
- parallel build works
- fixed gtk-docs files list
- disabled docs build
- no need for bump
- fixed files list
- fix requires in devel pkg
- rebuild
- cleaned up spec
- split out individual lib pkg
- split out gir pkg
- moved plugins to tools pkg
- dropped double api for pkg name and gave problem api_major naming
- disabled static pkg instead of erasing static libs
- removed reqs from devel pkg

* Thu Jun 16 2011 Götz Waschk <waschk@mandriva.org> 0.10.35-1
+ Revision: 685483
- new version
- xz tarball from gnome

* Sat May 14 2011 Funda Wang <fwang@mandriva.org> 0.10.34-1
+ Revision: 674420
- update to new version 0.10.34

* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 0.10.33-1
+ Revision: 673343
- fix name
- update to new version 0.10.33

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - clean out old junk
    - untangle dependency loop

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.10.32-2
+ Revision: 664933
- mass rebuild

* Sat Jan 22 2011 Götz Waschk <waschk@mandriva.org> 0.10.32-1
+ Revision: 632218
- new version 0.10.32

* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 0.10.31-1mdv2011.0
+ Revision: 604236
- update to new version 0.10.31

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-5mdv2011.0
+ Revision: 593303
- finaly fix typo of prov script

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-4mdv2011.0
+ Revision: 593298
- fix provides script
- add requires on tools package so that find provides could work correctly

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-3mdv2011.0
+ Revision: 593274
- force versioned requires for updated find-provides

* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-2mdv2011.0
+ Revision: 591797
- add fedora patch and gstreamer.prov for rpm provides to satisfy packagekit

* Thu Oct 21 2010 Götz Waschk <waschk@mandriva.org> 0.10.30.2-1mdv2011.0
+ Revision: 587153
- new prerelease
- drop patches

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.10.30-3mdv2011.0
+ Revision: 578925
- fix tabs in makefiles
- fix build with new gobject-introspection

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.10.30-2mdv2011.0
+ Revision: 563304
- rebuild for new gobject-introspection

* Thu Jul 15 2010 Götz Waschk <waschk@mandriva.org> 0.10.30-1mdv2011.0
+ Revision: 553549
- new version

* Wed Apr 28 2010 Götz Waschk <waschk@mandriva.org> 0.10.29-1mdv2010.1
+ Revision: 539966
- update to new version 0.10.29

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 0.10.28.3-0.1mdv2010.1
+ Revision: 539620
- new prerelease needed for totem 2.30.1

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.10.28-1mdv2010.1
+ Revision: 516853
- update to new version 0.10.28

* Sun Mar 07 2010 Funda Wang <fwang@mandriva.org> 0.10.27-1mdv2010.1
+ Revision: 515320
- update to new version 0.10.27

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 0.10.26-1mdv2010.1
+ Revision: 504140
- new version

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 0.10.25.2-1mdv2010.1
+ Revision: 497202
- new prerelease
- update file list

* Tue Oct 06 2009 Götz Waschk <waschk@mandriva.org> 0.10.25-2mdv2010.0
+ Revision: 454452
- add conflicts with old gir-repository

* Mon Oct 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.25-1mdv2010.0
+ Revision: 454164
- new version
- add introspection support

* Fri Sep 25 2009 Olivier Blin <blino@mandriva.org> 0.10.24-2mdv2010.0
+ Revision: 448975
- disable valgrin on mips & arm (from Arnaud Patard)

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.24-1mdv2010.0
+ Revision: 409939
- update to new version 0.10.24

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.10.23-1mdv2010.0
+ Revision: 374128
- new version
- drop patch
- drop old configure options
- update file list

* Tue Mar 24 2009 Götz Waschk <waschk@mandriva.org> 0.10.22-2mdv2009.1
+ Revision: 360826
- possible fix for a crash in pidgin (bug #49003)

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 0.10.22-1mdv2009.1
+ Revision: 331622
- fix build deps
- update license
- update to new version 0.10.22

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.10.21-1mdv2009.1
+ Revision: 291922
- reenable docs build
- new version
- drop patch

* Fri Aug 08 2008 Götz Waschk <waschk@mandriva.org> 0.10.20-3mdv2009.0
+ Revision: 267814
- rebuild

* Thu Aug 07 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.20-2mdv2009.0
+ Revision: 266430
- Remove patch0 (obsolete)
- Patch0: ensure translated strings are in UTF-8 (GNOME bug #546822)

* Wed Jun 18 2008 Götz Waschk <waschk@mandriva.org> 0.10.20-1mdv2009.0
+ Revision: 225671
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.10.19-1mdv2009.0
+ Revision: 192414
- new version

* Thu Mar 13 2008 Götz Waschk <waschk@mandriva.org> 0.10.17-3mdv2008.1
+ Revision: 187333
- add Mandriva branding

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.10.17-2mdv2008.1
+ Revision: 165734
- really really remove rpaths
- really remove rpath
- fix rpmlint errors
- fix devel provides according to the blino policy

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 0.10.17-1mdv2008.1
+ Revision: 160267
- new version

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 0.10.16-1mdv2008.1
+ Revision: 159656
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Götz Waschk <waschk@mandriva.org> 0.10.15-1mdv2008.1
+ Revision: 109113
- new version

* Fri Aug 03 2007 Götz Waschk <waschk@mandriva.org> 0.10.14-1mdv2008.0
+ Revision: 58626
- new version
- new devel name
- disable docs build

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.10.13-2mdv2008.0
+ Revision: 36171
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

